Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.emf.ecp.spi.core
Enum InternalProvider.LifecycleEvent

    java.lang.Object
      java.lang.Enum<InternalProvider.LifecycleEvent>
          org.eclipse.emf.ecp.spi.core.InternalProvider.LifecycleEvent

All Implemented Interfaces:
  Serializable, Comparable<InternalProvider.LifecycleEvent>

Enclosing interface:
  InternalProvider

    public static enum InternalProvider.LifecycleEvent

extends Enum<InternalProvider.LifecycleEvent>

Possible lifecycle events.

Author:
  Eike Stepper

Enum Constant Summary
`CREATE` Called on create.
`DISPOSE` Called on disposal.
`INIT` Called on initialization.
`REMOVE` Called when removed.

Method Summary
`static InternalProvider.LifecycleEvent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InternalProvider.LifecycleEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final InternalProvider.LifecycleEvent CREATE

  Called on create.

### INIT

    public static final InternalProvider.LifecycleEvent INIT

  Called on initialization.

### DISPOSE

    public static final InternalProvider.LifecycleEvent DISPOSE

  Called on disposal.

### REMOVE

    public static final InternalProvider.LifecycleEvent REMOVE

  Called when removed.

Method Detail

### values

    public static InternalProvider.LifecycleEvent[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InternalProvider.LifecycleEvent c : InternalProvider.LifecycleEvent.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InternalProvider.LifecycleEvent valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015. All Rights Reserved.